Subject: bug#39141: 26.3; vhdl-mode speedbar does not work when displaying vhdl directories

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Oct 2020 15:27:54 +0100

filippo <[email-masked]> writes:

> Starting from emacs -q:
>
> * open a .vhd file to enter vhdl-mode
> * open speedbar (M-x speedbar)
> * right click on the speedbar -> Speedbar -> Displays -> Vhdl directory
>
> In here, its impossible to open any file (in order to check
> architectures, entities, etc.)
>
> The strange thing is that, installing vhdl-mode (same version already
> preinstalled, which is the latest 3.38) from the official source
> (https://guest.iis.ee.ethz.ch/~zimmi/emacs/vhdl-mode.html) everything
> works like a charm.

I don't know anything about VHDL, but I tried the recipe, and got a
speedbar saying "vhdl directory" where I could select directories.

Do you have a file structure that displays the problem?  If so, could
you tar it up and send it to the debbugs address?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no